%CAR 1728 objects with 6 features in 4 classes
%
%  A = CAR
%
% The Car Evaluation Database was derived from a simple hierarchical
% decision model originally developed for the demonstration of DEX (M.
% Bohanec, V. Rajkovic: Expert system for decision making. Sistemica
% 1(1), pp. 145-157, 1990.). All 6 features are nominal.
% The instances completely cover the attribute space.
%
% SEE ALSO <a href="http://37steps.com/prtools">PRTools Guide</a>, <a href="http://archive.ics.uci.edu/ml/">UCI Website</a>
% PRTOOLS, DATASETS

% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com

function a = car

a = pr_loadmatfile;
if isempty(a)
  opt.delimeter = ',';
  opt.format = 'ccccccc';
  opt.labfeat = 7;
  opt.desc = 'Car Evaluation Database was derived from a simple hierarchical decision model originally developed for the demonstration of DEX (M. Bohanec, V. Rajkovic: Expert system for decision making. Sistemica 1(1), pp. 145-157, 1990.).';
  opt.featnames = {'buying price' 'maintenance price' 'nr of doors' 'nr of persons' 'luggage boot' 'safety'};
  opt.desc = 'The purpose of the analysis is to develop a screening procedure to detect carriers and to describe its effectiveness. ';
  opt.link = 'http://lib.stat.cmu.edu/datasets/';
  opt.dsetname = 'Car';
  a = pr_download('http://prtools.tudelft.nl/prdatasets/car.data',[],opt);
end

return
